@echo off
rem  This is an example of using a single removal program for all
rem  of the possible pop-up programs.  The program REMOVE accepts
rem  a single command line option which is the I.D. code of the
rem  program.  The batch file is only used as a simple convenience.
rem  The removal program returns an error code if the removal was
rem  unsuccessful:
rem
rem       1  -  program was not found
rem       2  -  can't unload the program
rem       3  -  not a valid number on the command line
rem
echo Attempting to remove POPDICE from program memory
remove $89
if errorlevel == 3 goto bad
if errorlevel == 2 goto cant
if errorlevel == 1 goto nowhere
echo POPDICE successfully removed
goto done
:bad
echo Invalid I.D. number
goto done
:cant
echo Unable to remove POPDICE from memory
goto done
:nowhere
echo POPDICE is not installed
:done
