{$R-,S-,I+,D+,T+,F-,V-,B-,N-,L+ }
{$M 1024,5120,5120}
Program RemoveTSR;

Uses Unhook;

Var
  Signature : Byte;
  Result    : Integer;

Begin
  Val(ParamStr(1),Signature,Result);   { convert parameter to number }
  If Result <> 0 Then Halt(3);         { halt w/error if bad }
  If Installed(Signature)              { is it installed?    }
    Then Begin                         { yes.                }
      If OkToRemove(Signature)         { can it be unloaded? }
        Then RemoveProgram(Signature)  { yes. remove it.     }
      Else Halt(2)                     { can't be safely removed }
    End
  Else Halt(1);                        { program not found in memory. }
End.
